Skip to main content
GET
Get aggregated statistic intervals

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

emailIds
integer<int64>[]

A list of email IDs to filter the statistics. This is a form-style parameter that can include multiple IDs.

endTimestamp
string<date-time>

The end timestamp for the statistics data range. Must be in date-time format.

interval
enum<string>

The time interval for the histogram. Valid values are YEAR, QUARTER, MONTH, WEEK, DAY, HOUR, QUARTER_HOUR, MINUTE, and SECOND.

Available options:
DAY,
HOUR,
MINUTE,
MONTH,
QUARTER,
QUARTER_HOUR,
SECOND,
WEEK,
YEAR
startTimestamp
string<date-time>

The start timestamp for the statistics data range. Must be in date-time format.

Response

successful operation

results
object[]
required

An array of EmailStatisticInterval objects, each representing statistics for a specific time interval.

total
integer<int32>
required

An integer representing the total number of email statistic intervals available.

paging
object

Represents the pagination information for navigating through a list of results in the API. It provides details on how to access the previous or next set of results.

Last modified on September 9, 2026